/******************************************************************************
* Function name         :  lcd.h
* returns               :  
* Created by            :  Nasser Poureh 
* Date Created          :  10/25/02
* Company				:  Insight Electronics
* Description           :  lcd header file
* Notes                 :  
******************************************************************************/

extern void lcd_init(unsigned int base_addr);
extern void lcd_write(unsigned int base_addr, char *s);
extern void lcd_clear(unsigned int base_addr);
extern void lcd_line(unsigned int base_addr, int line);
extern void _wait(int loop_count);
extern void printf_data(int data, int start_shift, int end_shift);
extern void printf_uart(char *s);
extern void initialize_all();

