#define PSE  150000
#define QTR  PSE * 2
#define HLF  PSE * 4
#define WHL  PSE * 8
#define DBL  PSE * 16

#include "xuartlite_l.h"
#include "xparameters.h"
#include "stdio.h"

main() 
{

unsigned char *piezo_address;
int i, j, k;
unsigned char mary[26] = {0x20,0x24,0x28,0x24,0x20,0x20,0x20,0x24,0x24,0x24,0x20,0x1B,0x1B,0x20,0x24,0x28,0x24,0x20,0x20,0x20,0x20,0x24,0x24,0x20,0x24,0x28};
unsigned int  mhld[26] = {QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,HLF ,QTR ,QTR ,HLF ,QTR ,QTR ,HLF ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,QTR ,WHL };

unsigned char charge[7] = {0x28,0x24,0x20,0x1B,0x20,0x1B,0x00};
unsigned int  chghld[7] = {QTR, QTR, QTR, HLF, PSE, WHL, WHL};

piezo_address = (unsigned char *) XPAR_MEMEC_PIEZO_0_BASEADDR;

//	The following prints a banner on the Hyper Terminal.
print("####################################################\n\r");
print("#                                                  #\n\r");
print("#                     Memec                        #\n\r");
print("#          Spartan-3 MB Development Board          #\n\r");
print("#         MicroBlaze Piezo Reference Design        #\n\r");
print("#                                                  #\n\r");
print("####################################################\n\r");
print("\n\r");
print("\n\r");

  for (k = 0; k < 3; k++)
	for( i = 0 ; i < 7; i++)
	{
		*piezo_address = charge[i];
		for( j = 0 ; j < chghld[i] ; j++) {}
		*piezo_address = (unsigned char) 0x00;
		for( j = 0 ; j < PSE; j++) {}
	}

	for( i = 0 ; i < 26; i++)
	{
		*piezo_address = mary[i];
		for( j = 0 ; j < mhld[i] ; j++) {}
		*piezo_address = (unsigned char) 0x00;
		for( j = 0 ; j < PSE; j++) {}
	}

while(1)
{
//83
	for( i = 0x01 ; i < 0x100 ; i++)
	{
		*piezo_address = i;
		for( j = 0 ; j < PSE ; j++)	{}
	}
}


}
